summaryrefslogtreecommitdiff
path: root/tests/misc/nice
diff options
context:
space:
mode:
authorJim Meyering <meyering@redhat.com>2012-04-03 20:32:44 +0200
committerJim Meyering <meyering@redhat.com>2012-04-04 12:20:56 +0200
commite43d30eab3215bc9ff49ec7db3d3e2baa95ba070 (patch)
treeb3828ca5bdc794f9b8648af1996d2863663c8590 /tests/misc/nice
parent64ecea53d9b4c1ecbf6d02ff8c4ae98b3a82e9a2 (diff)
downloadcoreutils-e43d30eab3215bc9ff49ec7db3d3e2baa95ba070.tar.xz
tests: convert nearly all `...` expressions to $(...)
Exempt init.sh because it runs before we're assured to have a shell that groks $(...). Exempt *.mk because "$" would have to be doubled, and besides, any `...` expression in a .mk file is almost certainly evaluated before init.sh is run. Finally, also exempt the perl-based tests, because perl's `...` cannot be converted to $(...). Do that by running this command: git grep -l '`.*`' tests \ | grep -Ev 'init\.sh|\.mk$' | xargs grep -Lw perl \ | xargs perl -pi -e 's/`(.*?)`/\$($1)/g' One minor fix-up change was required after that, due to how quoting differs: diff --git a/tests/chmod/equals b/tests/chmod/equals - expected_perms=$(eval 'echo \$expected_'$dest) + expected_perms=$(eval 'echo $expected_'$dest) Another was to make these required quoting adjustments: diff --git a/tests/misc/stty b/tests/misc/stty ... - rev=$(eval echo "\\\$REV_$opt") + rev=$(eval echo "\$REV_$opt") ... - rev1=$(eval echo "\\\$REV_$opt1") - rev2=$(eval echo "\\\$REV_$opt2") + rev1=$(eval echo "\$REV_$opt1") + rev2=$(eval echo "\$REV_$opt2") Also, transform two files that were needlessly excluded above: (both use perl, but are mostly bourne shell) perl -pi -e 's/`(.*?)`/\$($1)/g' \ tests/du/long-from-unreadable tests/init.cfg
Diffstat (limited to 'tests/misc/nice')
-rwxr-xr-xtests/misc/nice14
1 files changed, 7 insertions, 7 deletions
diff --git a/tests/misc/nice b/tests/misc/nice
index cbc135fda..ac8ea04ea 100755
--- a/tests/misc/nice
+++ b/tests/misc/nice
@@ -45,7 +45,7 @@ NA LAST NA
set $tests
# Require that this test be run at 'nice' level 0.
-niceness=`nice`
+niceness=$(nice)
if test "$niceness" = 0; then
: ok
else
@@ -58,19 +58,19 @@ while :; do
expected_result=$3
test $args = empty && args=''
test x$args = xLAST && break
- args=`echo x$args|tr : ' '|sed 's/^x//'`
+ args=$(echo x$args|tr : ' '|sed 's/^x//')
if test "$VERBOSE" = yes; then
- #echo "testing \`nice $args nice\` = $expected_result ..."
+ #echo "testing \$(nice $args nice\) = $expected_result ..."
echo "test $test_name... " | tr -d '\n'
fi
- test x`nice $args nice 2> /dev/null` = x$expected_result \
+ test x$(nice $args nice 2> /dev/null) = x$expected_result \
&& ok=ok || ok=FAIL fail=1
test "$VERBOSE" = yes && echo $ok
shift; shift; shift
done
# Test negative niceness - command must be run whether or not change happens.
-if test x`nice -n -1 nice 2> /dev/null` = x0 ; then
+if test x$(nice -n -1 nice 2> /dev/null) = x0 ; then
# unprivileged user - warn about failure to change
nice -n -1 true 2> err || fail=1
test -s err || fail=1
@@ -87,8 +87,8 @@ else
# superuser - change succeeds
nice -n -1 nice 2> err || fail=1
test -s err && fail=1
- test x`nice -n -1 nice` = x-1 || fail=1
- test x`nice --1 nice` = x-1 || fail=1
+ test x$(nice -n -1 nice) = x-1 || fail=1
+ test x$(nice --1 nice) = x-1 || fail=1
fi
Exit $fail